This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes

Bug 610684 (CVE-2010-2595)

Summary: CVE-2010-2595 libtiff: Array index error due improper handling of invalid ReferenceBlackWhite values
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: erik-fedora, ploujj, tgl
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: public=20100416,reported=20100701,source=cve,rhel-3/libtiff=notaffected,rhel-4/libtiff=affected/impact=low/cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P/,rhel-5/libtiff=affected/impact=low/cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P/,rhel-6/libtiff=affected/impact=low/cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P/,fedora-all/libtiff=affected/impact=low/cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P/,fedora-all/mingw32-libtiff=affected/impact=low/cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P/
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-07-08 12:01:40 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 583081    
Bug Blocks:    

Description Jan Lieskovsky 2010-07-02 06:33:55 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-2595 to
the following vulnerability:

The TIFFYCbCrtoRGB function in LibTIFF 3.9.0 and 3.9.2, as used in
ImageMagick, does not properly handle invalid ReferenceBlackWhite
values, which allows remote attackers to cause a denial of service
(application crash) via a crafted TIFF image that triggers an array
index error, related to "downsampled OJPEG input."

References:
  [1] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-2595
  [2] http://bugzilla.maptools.org/show_bug.cgi?id=2208
  [3] https://bugzilla.redhat.com/show_bug.cgi?id=583081
Comment 1 Jan Lieskovsky 2010-07-02 06:36:38 EDT
This issue did NOT affect the version of the libtiff package,
as shipped with Red Hat Enterprise Linux 3.

This issue affects the versions of the libtiff package,
as shipped with Red Hat Enterprise Linux 4 and 5.

--

This issue affects the versions of the libtiff package,
as shipped with Fedora releases of 12 and 13.

This issue affects the versions of the mingw32-libtiff package,
as shipped with Fedora releases of 12 and 13.
Comment 5 errata-xmlrpc 2010-07-08 11:34:53 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0519 https://rhn.redhat.com/errata/RHSA-2010-0519.html